<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>VariantTransform (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="VariantTransform (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/transform/ArtifactTransformException.html" title="class in org.gradle.api.artifacts.transform"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/transform/VariantTransformConfigurationException.html" title="class in org.gradle.api.artifacts.transform"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/transform/VariantTransform.html" target="_top">Frames</a></li>
<li><a href="VariantTransform.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.transform</div>
<h2 title="Interface VariantTransform" class="title">Interface VariantTransform</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">VariantTransform</span></pre>
<div class="block">Registration of an variant transform.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/transform/VariantTransform.html#artifactTransform(java.lang.Class)">artifactTransform</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/transform/ArtifactTransform.html" title="class in org.gradle.api.artifacts.transform">ArtifactTransform</a>&gt;&nbsp;type)</code>
<div class="block">Action to transform artifacts for this variant transform.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/transform/VariantTransform.html#artifactTransform(java.lang.Class,%20org.gradle.api.Action)">artifactTransform</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/transform/ArtifactTransform.html" title="class in org.gradle.api.artifacts.transform">ArtifactTransform</a>&gt;&nbsp;type,
                 <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/ActionConfiguration.html" title="interface in org.gradle.api">ActionConfiguration</a>&gt;&nbsp;configAction)</code>
<div class="block">Action to transform artifacts for this variant transform, potentially supplying some configuration to inject into the transform.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/attributes/AttributeContainer.html" title="interface in org.gradle.api.attributes">AttributeContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/transform/VariantTransform.html#getFrom()">getFrom</a></strong>()</code>
<div class="block">Attributes that match the variant that is consumed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/attributes/AttributeContainer.html" title="interface in org.gradle.api.attributes">AttributeContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/transform/VariantTransform.html#getTo()">getTo</a></strong>()</code>
<div class="block">Attributes that match the variant that is produced.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFrom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrom</h4>
<pre><a href="../../../../../org/gradle/api/attributes/AttributeContainer.html" title="interface in org.gradle.api.attributes">AttributeContainer</a>&nbsp;getFrom()</pre>
<div class="block">Attributes that match the variant that is consumed.</div>
</li>
</ul>
<a name="getTo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTo</h4>
<pre><a href="../../../../../org/gradle/api/attributes/AttributeContainer.html" title="interface in org.gradle.api.attributes">AttributeContainer</a>&nbsp;getTo()</pre>
<div class="block">Attributes that match the variant that is produced.</div>
</li>
</ul>
<a name="artifactTransform(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifactTransform</h4>
<pre>void&nbsp;artifactTransform(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/transform/ArtifactTransform.html" title="class in org.gradle.api.artifacts.transform">ArtifactTransform</a>&gt;&nbsp;type)</pre>
<div class="block">Action to transform artifacts for this variant transform.

 <p>An instance of the specified type is created for each file that is to be transformed. The class should provide a public zero-args constructor.</p></div>
</li>
</ul>
<a name="artifactTransform(java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>artifactTransform</h4>
<pre>void&nbsp;artifactTransform(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/transform/ArtifactTransform.html" title="class in org.gradle.api.artifacts.transform">ArtifactTransform</a>&gt;&nbsp;type,
                     <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/ActionConfiguration.html" title="interface in org.gradle.api">ActionConfiguration</a>&gt;&nbsp;configAction)</pre>
<div class="block">Action to transform artifacts for this variant transform, potentially supplying some configuration to inject into the transform.

 <p>An instance of the specified type is created for each file that is to be transformed. The class should provide a public constructor that accepts the provided configuration.</p></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/transform/ArtifactTransformException.html" title="class in org.gradle.api.artifacts.transform"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/transform/VariantTransformConfigurationException.html" title="class in org.gradle.api.artifacts.transform"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/transform/VariantTransform.html" target="_top">Frames</a></li>
<li><a href="VariantTransform.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
